Create a payment record on an order

Payment must include a positive amount and a valid tender ID.
Note: This endpoint references external tenders and logs them for bookkeeping purposes. This is not for Clover credits/debit tenders. A merchant's tenders and their IDs can be retrieved from /v3/merchants/mId/tenders.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Merchant identifier.

string
required

Order identifier.

Body Params
string

13-digits unique identifier of the Merchant.

order
object

Order with which the payment is associated.

device
object

Device that processed the transaction for this payment, a 128-bit Universal unique identifier. Note: its not the 13-digits Clover identifier.

tender
object

Tender type associated with this payment. For example: credit card, cash, and so on.

int64

Total amount paid.

integer

Tip amount paid.

integer

Tax amount paid.

integer

Cash amount given by the customer to the merchant.

integer

Payment amount given by the customer.

string

External payment identifier.

employee
object

Employee who processed the payment.

int64

Time when payment was recorded on the server.

int64

Time when payment was recorded on the client server.

int64

Time when the transaction was processed by the payment gateway.

int64

Last modified time of the payment.

boolean
Defaults to false

Indicates if the tender option is offline.

string
enum

Indicates the result of the tender.
Values: Success, fail, initiated, voided, voiding, void_failed, auth, auth_completed, discount, offline_retrying, and pending.

cardTransaction
object

Card details for credit or debit card payments.

serviceCharge
object

Amount of the service charge.

attributes
object
additionalCharges
array of objects
additionalCharges
taxRates
array of objects
taxRates
refunds
array of objects

Indicates the amount to be refunded.

refunds
string

Note for the refund.

lineItemPayments
array of objects

Payment line items.

lineItemPayments
authorization
object

Authorization to which the payment is associated, for example, (opening or closing payment) if it exists.

voidPaymentRef
object

If voided, the corresponding successful payment, and vice versa.

string
enum

If voided, the reason for the payment void, if available.

voidReasonDetails
object

Detailed explanation on why the transaction is void.

dccInfo
object

Dynamic currency conversion information.

transactionSettings
object

Per transaction settings for the payment.

germanInfo
object

German region-specific information.

appTracking
object

Tracking information for the app that created this payment.

cashAdvanceExtra
object

Information specific to cash advance transactions.

transactionInfo
object

Transaction information

signatureDisclaimer
object

Information displayed to customers for storing electronic signatures.

string

External reference identifier (ID) if associated with the payment.

merchant
object
increments
array of objects

Indicates if there is any increment in the refund amount.

increments
purchaseCardL2
object

Purchase card level-2 data.

purchaseCardL3
object

Purchase card level-3 data.

oceanGatewayInfo
object

India-region specific Ocean Gateway information.

terminalManagementComponents
array of objects

Terminal management components as defined by nexo standards that contain general information on the terminal, the installed payment app, and so on.

terminalManagementComponents
emiInfo
object

Associated equated monthly installment (EMI) information.

Headers
string
required

Identifies the application, operating system, vendor, and/or version of the requesting user agent. Format: <product> / <product-version> <comment>

Response
200
Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!